I T requirements

I T requirements

Email

If your computer was bought new in 2005 or later it should work with our learning software. You may need to update or change your web browser, this is free.

Please note:
Tablet computers or smartphones may not be capable of accessing key parts of the course (or may require some programme/app additions).  In addition, very small laptops and netbooks have screens that are very short and some materials will require excessive scrolling to view a page.

Windows

Minimum: Windows XP Service Pack 2
Middle: Windows Vista
Recommended: Windows 7

Web browser

Minimum: Internet Explorer 8 – Some parts may look different but all should function.
Middle: Internet Explorer 9, Firefox 3.5.
Recommended: Latest Google Chrome, Latest Firefox.

Other

The latest version of Adobe Flash.
The latest version of Adobe Reader, for pdfs.
Microsoft Office 2007 or newer. Some open source office products may struggle.

Apple

Minimum: OSX on an Intel Machine.
Middle: OSX Snow Leopard
Recommended: OSX Lion

Web browser

Minimum: Safari or Firefox.
Recommended: Latest Safari, Latest Firefox.

Other

The latest version of Adobe Flash.
The latest version of Adobe Reader, for pdfs.
Microsoft Office 2007 or newer. Some open source or other office products may struggle.

Linux/Other

It may work, but we don’t recommend it, as we can’t offer any support with this.
The main limit would be flash and office documents.